Bug 868774 - [zanata-python-client] AttributeError: 'NoneType' object has no attribute 'rfind' when push-trans-only
[zanata-python-client] AttributeError: 'NoneType' object has no attribute 'r...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zanata-python-client (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: anish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 02:21 EDT by Ding-Yi Chen
Modified: 2014-12-19 19:16 EST (History)
3 users (show)

See Also:
Fixed In Version: zanata-python-client-1.3.18-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 23:35:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-10-22 02:21:23 EDT
Description of problem:
Error message: AttributeError: 'NoneType' object has no attribute 'rfind' 
appears when pushing with --push-trans-only

Version-Release number of selected component (if applicable):
zanata-python-client-1.3.11
Zanata version 1.8.0-SNAPSHOT (20121022-1434)

How reproducible:
Always

Steps to Reproduce:
1.Assume the project and version is created, zanata.xml is configured,  and source are pushed.
2.zanata push --push-trans-only
  
Actual results:
AttributeError: 'NoneType' object has no attribute 'rfind'

Expected results:
Push sucessfully without error.

Additional info:
Comment 1 Fedora End Of Life 2013-07-03 18:06:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora Admin XMLRPC Client 2013-08-13 00:45:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Update System 2014-12-03 02:57:03 EST
zanata-python-client-1.3.18-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.18-1.fc20
Comment 4 Fedora Update System 2014-12-03 02:57:30 EST
zanata-python-client-1.3.18-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.18-1.el7
Comment 5 Fedora Update System 2014-12-03 02:57:53 EST
zanata-python-client-1.3.18-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.18-1.fc21
Comment 6 Fedora Update System 2014-12-03 11:06:29 EST
Package zanata-python-client-1.3.18-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zanata-python-client-1.3.18-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16198/zanata-python-client-1.3.18-1.fc21
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-12-11 23:35:49 EST
zanata-python-client-1.3.18-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-12-13 04:45:11 EST
zanata-python-client-1.3.18-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-12-19 19:16:22 EST
zanata-python-client-1.3.18-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.